Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class IpResourceSubscriptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<IpResourceSubscription>
ru.bitel.bgbilling.common.dao.AbstractIdDao<IpResourceSubscription>
ru.bitel.oss.systems.inventory.resource.server.bean.IpResourceSubscriptionDao

public class IpResourceSubscriptionDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<IpResourceSubscription>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `IpResourceSubscriptionDao(Connection con, int moduleId)`
  `protected`
  `IpResourceSubscriptionDao(Connection con, String tableName, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteBySubsciberId(int subscriberId)`
  `Object[]`
  `findFree(Collection<Integer> ipResourceCategoryIds, int ipResourceId, byte[] addressFrom, byte[] addressTo, Date dateFrom, Date dateTo, int subscriberId)`
  `IpResourceSubscription`
  `findSubscribed(int subscriberId)`
  `Object[]`
  `findSubscribed(Set<Integer> ipResourceCategoryIds, int ipResourceId, byte[] addressFrom, byte[] addressTo, Date dateFrom, Date dateTo, int subscriberId)`
  `protected IpResourceSubscription`
  `getFromRS(ResultSet rs)`
  `protected IpResourceSubscription`
  `getSubscriptionFromRS(String prefix, ResultSet rs)`
  `protected static IpResourceSubscription`
  `getSubscriptionFromRS(ResultSet rs)`
  `List<IpResourceSubscription>`
  `list(int ipResourceId, Date dateFrom, Date dateTo)`
  Возвращает список подписок, которые пересекаются с указанным периодом.
  `Result<IpResourceSubscription>`
  `list(int ipResourceId, Date dateFrom, Date dateTo, Page page)`
  `List<IpResourceSubscriptionRuntime>`
  `listRuntime(int ipResourceId, Date dateFrom, Date dateTo)`
  Возвращает список подписок, которые пересекаются с указанным периодом.
  `protected void`
  `updateImpl(IpResourceSubscription ipResourceSubscription)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceSubscriptionDao

    public IpResourceSubscriptionDao(Connection con, int moduleId)

  - ### IpResourceSubscriptionDao

    protected IpResourceSubscriptionDao(Connection con, String tableName, int moduleId)

- ## Method Details

  - ### getFromRS

    protected IpResourceSubscription getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<IpResourceSubscription>`
    Throws:
      `SQLException`

  - ### getSubscriptionFromRS

    protected IpResourceSubscription getSubscriptionFromRS(String prefix, ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<IpResourceSubscription> list(int ipResourceId, Date dateFrom, Date dateTo) throws SQLException
    Возвращает список подписок, которые пересекаются с указанным периодом.
    Parameters:
      `ipResourceId` -
      `dateFrom` -
      `dateTo` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### listRuntime

    public List<IpResourceSubscriptionRuntime> listRuntime(int ipResourceId, Date dateFrom, Date dateTo) throws SQLException
    Возвращает список подписок, которые пересекаются с указанным периодом.
    Parameters:
      `ipResourceId` -
      `dateFrom` -
      `dateTo` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public Result<IpResourceSubscription> list(int ipResourceId, Date dateFrom, Date dateTo, Page page) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(IpResourceSubscription ipResourceSubscription) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<IpResourceSubscription>`
    Throws:
      `SQLException`

  - ### deleteBySubsciberId

    public int deleteBySubsciberId(int subscriberId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### findSubscribed

    public IpResourceSubscription findSubscribed(int subscriberId) throws SQLException
    Throws:
      `SQLException`

  - ### findFree

    public Object[] findFree(Collection<Integer> ipResourceCategoryIds, int ipResourceId, byte[] addressFrom, byte[] addressTo, Date dateFrom, Date dateTo, int subscriberId) throws SQLException
    Parameters:
      `ipResourceCategoryIds` -
      `ipResourceId` -
      `addressFrom` -
      `addressTo` -
      `dateFrom` -
      `dateTo` -
      `subscriberId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException` - если данный ip пересекается с другим подписчиком и подходящих ресурсов нет
      `SQLException`

  - ### findSubscribed

    public Object[] findSubscribed(Set<Integer> ipResourceCategoryIds, int ipResourceId, byte[] addressFrom, byte[] addressTo, Date dateFrom, Date dateTo, int subscriberId) throws SQLException
    Throws:
      `SQLException`

  - ### getSubscriptionFromRS

    protected static IpResourceSubscription getSubscriptionFromRS(ResultSet rs) throws SQLException
    Throws:
      `SQLException`